Name:       fish
Version:    2.4.0
Release:    %mkrel 1
Summary:    Smart and user-friendly command line shell
Group:      Shells
License:    GPLv2
Url:        http://fishshell.com/
Source:     http://fishshell.com/files/%{version}/fish-%{version}.tar.gz
BuildRequires:  ncurses-devel
BuildRequires:  pcre2-devel
# fish's 'math' command requires bc
Requires:   bc
# for fish_update_completions script
Recommends:   man-db
Recommends:   python-backports-lzma

%description
fish is a fully-equipped command line shell (like bash or zsh) that is smart
and user-friendly. fish supports powerful features like syntax highlighting,
autosuggestions, and tab completions that just work, with nothing to learn
or configure.

%prep
%setup -q

#build against system pcre2
rm -rf pcre2*

%build
%configure2_5x \
	--without-included-pcre2
%make_build

%install
%make_install

#create conf.d
mkdir -p %{buildroot}%{_sysconfdir}/fish/conf.d

# remove unneeded pkgconfig .pc file
rm -rf %{buildroot}%{_datadir}/pkgconfig/fish.pc

%find_lang %{name}

%post
%{_rpm_helper_dir}/add-shell %{name} $1 %{_bindir}/fish

%postun
%{_rpm_helper_dir}/del-shell %{name} $1 %{_bindir}/fish

%files -f %{name}.lang
%doc CONTRIBUTING.md README.md CHANGELOG.md
%doc user_doc/html/*
%dir %{_sysconfdir}/fish/
%dir %{_sysconfdir}/fish/conf.d/
%config(noreplace) %{_sysconfdir}/fish/config.fish
%{_bindir}/fish
%{_bindir}/fish_indent
%{_bindir}/fish_key_reader
%{_datadir}/%{name}/
%{_mandir}/man1/fish.1*
%{_mandir}/man1/fish_indent.1*
%{_mandir}/man1/fish_key_reader.1*


%changelog
* Mon Jan 16 2017 guillomovitch <guillomovitch> 2.4.0-1.mga6
+ Revision: 1081959
- new version 2.4.0

* Sat Sep 03 2016 wally <wally> 2.3.1-1.mga6
+ Revision: 1049939
- new version 2.3.1
- add recommends for fish_update_completions script
  * man-db
  * python-backports-lzma

* Mon Aug 22 2016 wally <wally> 2.2.0-4.mga6
+ Revision: 1047722
- remove unneeded pkgconfig .pc file
- own /etc/fish/ directory
- update summary and description
- require bc

* Sun Aug 21 2016 wally <wally> 2.2.0-3.mga6
+ Revision: 1047584
- add fish to /etc/shells (mga#19224)

* Thu Feb 11 2016 umeabot <umeabot> 2.2.0-2.mga6
+ Revision: 953941
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 guillomovitch <guillomovitch> 2.2.0-1.mga6
+ Revision: 857103
- new version 2.2.0

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-2.mga5
+ Revision: 745402
- Second Mageia 5 Mass Rebuild

* Mon Oct 06 2014 luigiwalser <luigiwalser> 2.1.1-1.mga5
+ Revision: 737092
- 2.1.1 (fixes multiple security issues, mga#13984)

* Tue Sep 16 2014 umeabot <umeabot> 2.1.0-2.mga5
+ Revision: 679213
- Mageia 5 Mass Rebuild

* Thu Nov 28 2013 guillomovitch <guillomovitch> 2.1.0-1.mga4
+ Revision: 553829
- imported package fish

